%global srcname PyXB

Name:           %{srcname}
Version:        1.2.5
Release:        4%{?dist}
Summary:        Python XML Schema Bindings

License:        ASL 2.0
URL:            http://pyxb.sourceforge.net
Source0:        https://files.pythonhosted.org/packages/source/p/pyxb/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

Patch0:         %{srcname}-unbundle-six.patch

%description
PyXB (“pix-bee”) is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

%package -n python2-%{srcname}
Summary:        %{summary}
BuildRequires:  python2-devel
Requires:       python-six
Obsoletes:      %{srcname}
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
PyXB (“pix-bee”) is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

%package -n python2-%{srcname}-doc
Summary:        PyXB documentation
Obsoletes:      %{srcname}-doc

%description -n python2-%{srcname}-doc
This package contains documentation and examples for PyXB.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
Requires:       python%{python3_pkgversion}-six

%description -n python%{python3_pkgversion}-%{srcname}
PyXB (“pix-bee”) is a pure Python package that generates Python source
code for classes that correspond to data structures defined by
XMLSchema.

%package -n python%{python3_pkgversion}-%{srcname}-doc
Summary:        PyXB documentation

%description -n python%{python3_pkgversion}-%{srcname}-doc
This package contains documentation and examples for PyXB.

%prep
%setup -q -n %{name}-%{version}
find . -name .gitignore -delete
%patch0 -p1

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} setup.py test

%files -n python2-%{srcname}
%license LICENSE NOTICE
%{python2_sitelib}/*

%files -n python2-%{srcname}-doc
%license LICENSE NOTICE
%doc doc/* README.txt examples/*

%files -n python%{python3_pkgversion}-%{srcname}
%license LICENSE NOTICE
%{python3_sitelib}/*
%{_bindir}/*

%files -n python%{python3_pkgversion}-%{srcname}-doc
%license LICENSE NOTICE
%doc doc/* README.txt examples/*

%changelog
* Sun Apr 02 2017 Marcus Karlsson <mk@acc.umu.se> - 1.2.5-4
- Rebuilt using new upstream source

* Wed Mar 29 2017 Marcus Karlsson <mk@acc.umu.se> - 1.2.5-3
- Include executables in the python3 subpackage (rhbz#1437186)

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Jan 08 2017 Marcus Karlsson <mk@acc.umu.se> - 1.2.5-1
- Update to upstream release 1.2.5

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.2.4-10
- Rebuild for Python 3.6

* Wed Sep 07 2016 Marcus Karlsson <mk@acc.umu.se> - 1.2.4-9
- Fix python dependency

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-6
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri May 15 2015 Michal Srb <msrb@redhat.com> - 1.2.4-4
- Fix license tag
- Use %%license macro

* Thu May 14 2015 Ville Skyttä <ville.skytta@iki.fi> - 1.2.4-3
- Don't ship .gitignore

* Tue Jan 20 2015 Michal Srb <msrb@redhat.com> - 1.2.4-2
- Unbundle python-six

* Mon Oct 20 2014 Michal Srb <msrb@redhat.com> - 1.2.4-1
- Update to official upstream version 1.2.4

* Mon Sep 22 2014 Michal Srb <msrb@redhat.com> - 1.2.4-0.2.gitc494ba3
- Move documentation and examples to subpackage (Resolves: rhbz#1144488)

* Thu Jul 17 2014 Michal Srb <msrb@redhat.com> - 1.2.4-0.1
- Update to prerelease version 1.2.4
- Add python3 subpackage

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Apr 25 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.3-1
- Update to upstream version 1.2.3
- Resolves: rhbz#1086133

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 16 2011 Marek Mahut <mmahut@fedoraproject.org> - 1.1.2-1
- Initial build
